/* Copyright (C) 2007  Mikko Sysikaski <mikko.sysikaski@gmail.com>
 * This program is free software distributed under GNU General Public License
 * version 3 or (at your option) any later version.
 * No warranty of any kind is provided. See the accompanying file COPYING for details.
 */

#include "gameapp.h"
#include "SDL.h"
#include <cstdio>
#include <cstdlib>
#include <ctime>

int main(int argc, char* argv[])
{
    SDL_Init(0);
	atexit(SDL_Quit);
	srand(time(0));
	GameApp& game = GameApp::getInstance();
	game.init(argc, argv);
	game.start();
}
